package com.yunyan.business.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 模板导出类型
 */
@Getter
@AllArgsConstructor
public enum TemplateEpType {
    //类型: y2022ft1-2022年结算类型1, y2022ft2-2022年结算类型2
    Y2022FT1("y2022ft1", "2022年结算类型1(桂平)"),
    Y2022FT2("y2022ft2", "2022年结算类型2"),
    Y2024BT1("y2024bt1", "2024年预算类型1"),
    Y2024BT2("y2024bt2", "2024年预算类型2"),
    Y2024BT3("y2024bt3", "2024年预算类型3(桂平)"),
    Y2024BT4("y2024bt4", "2024年预算类型4"),
    Y2024BT5("y2024bt5", "2024年预算类型5(天等)"),
    Y2023FT1PX("y2023ft1px", "2023年结算类型1(凭祥)"),
    Y2023FT2BS("y2023ft2bs", "2023年结算类型2(百色)"),
    Y2023FT3PN("y2023ft3pn", "2023年结算类型3(平南)"),
    Y2023FT4BB("y2023ft4bb", "2023年结算类型4_博白)"),
    Y2023FT5GP("y2023ft5gp", "2023年结算类型5_桂平)"),
    Y2023FT6TDEND("y2023ft6tdeng", "2023年结算类型6_天等(从凭祥处复制))"),
    Y2023FT7TDONG("y2023ft7tdong", "2023年结算类型7_田东)"),
    Y2023FT8PG("y2023ft8pg", "2023年结算类型8_平果)"),
    Y2023FT9LC("y2023ft9lc", "2023年结算类型9_陆川(从博白处复制))"),
    Y2025BT1("y2025bt1", "2025年预算类型1(平南县从24桂平复制)"),
    Y2025BT2("y2025bt2", "2025年预算类型2"),
    Y2025BT3("y2025bt3", "2025年预算类型3"),
    Y2025BT4("y2025bt4", "2025年预算类型4"),
    ;

    private String code;
    private String msg;

    public String getCode()
    {
        return code;
    }

    public String getMsg()
    {
        return msg;
    }

}
